Bug 1786457 - [ceph-dashboard]iSCSI: Edit target of more than one parameter causes exception dashboard.rest_client.RequestException: iscsi REST API failed request with status code 400
Summary: [ceph-dashboard]iSCSI: Edit target of more than one parameter causes excepti...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Ceph-Dashboard
Version: 4.0
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: rc
: 4.1
Assignee: Ernesto Puerta
QA Contact: Sunil Angadi
Bara Ancincova
URL:
Whiteboard:
: 1786258 (view as bug list)
Depends On:
Blocks: 1730176 1816167
TreeView+ depends on / blocked
 
Reported: 2019-12-25 10:55 UTC by Madhavi Kasturi
Modified: 2020-05-19 17:32 UTC (History)
9 users (show)

Fixed In Version: ceph-14.2.8-3.el8, ceph-14.2.8-3.el7
Doc Type: Known Issue
Doc Text:
.The Dashboard does not provide correct Ceph iSCSI error messages If the Ceph iSCSI returns an error, for example the HTTP "400" code when trying to delete an iSCSI target while a user is logged in, the {product} Dashboard does not forward that error code and message to the Dashboard user using the pop-up notifications, but displays a generic "500 Internal Server Error". Consequently, the message that the Dashboard provides is not informative and even misleading; an expected behavior ("users cannot delete a busy resource") is perceived as an operational failure ("internal server error"). To work around this issue, see the Dashboard logs.
Clone Of:
Environment:
Last Closed: 2020-05-19 17:31:40 UTC
Target Upstream Version:
hyelloji: needinfo-


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Ceph Project Bug Tracker 38332 None None None 2020-01-14 10:18:11 UTC
Ceph Project Bug Tracker 43524 None None None 2020-01-08 13:48:53 UTC
Github ceph ceph pull 32304 None closed nautilus: mgr/dashboard: iSCSI targets not available if any gateway is down (and more...) 2020-09-29 11:41:00 UTC
Red Hat Product Errata RHSA-2020:2231 None None None 2020-05-19 17:32:13 UTC

Comment 2 Jason Dillaman 2020-01-06 17:17:07 UTC
While it is unfortunate that the UI is not providing a nice error message, this should always fail. Note the error of "Client xyz is logged in to abc - unable to delete until it's logged out". You cannot delete a client that is still logged into the target and therefore you must log out the client first. Therefore, the severity should be reduced and this should not be a test blocker unless you cannot delete a logged out client.

Comment 3 Ernesto Puerta 2020-01-08 12:25:20 UTC
*** Bug 1786258 has been marked as a duplicate of this bug. ***

Comment 22 errata-xmlrpc 2020-05-19 17:31:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:2231


Note You need to log in before you can comment on or make changes to this bug.